<?php

/*	##################################
	TS ADMIN THEME SETTINGS
	################################## */

require_once( TEMPLATEPATH . '/lib/admin/theme-admin.php');

add_action( 'admin_init', 'register_ts_options' );

function register_ts_options() {
	register_setting( 'ts-options-group', 'ts_options' );
}

function ts_settings_page() {

	global $ts_options;
	
/*	##################################
	TS ADMIN THEME OPTIONS
	################################## */
	
?>
<div class="wrap">

	<div id="ts-wrap">
		
		<div id="ts-options-header">
		
			<a href="http://themeshift.com" target="_blank"><img src="<?php echo TS_ADMIN . 'img/logo-options.png'; ?>" alt="ThemeShift" width="300" height="30" /></a>
			
			<h2><?php echo TS_THEME; ?> <small><?php echo TS_VERSION; ?></small></h2>
		
		</div>
		
		<div id="ts-options-subheader" class="clearfix">
		
			<ul>
				<li><a class="ts-options-info" href="http://themeshift.com/<?php echo TS_DOMAIN; ?>" target="_blank"><?php _e('صفحه تم', TS_DOMAIN); ?></a></li>
				<li><a class="ts-options-help" href="http://themeshift.com/<?php echo TS_DOMAIN; ?>/help" target="_blank"><?php _e('مرکز راهنمایی', TS_DOMAIN); ?></a></li>
				<li><a class="ts-options-forums" href="http://themeshift.com/support" target="_blank"><?php _e('تالار گفتمان', TS_DOMAIN); ?></a></li>
                	<li><a  href="http://graweb.ir/" target="_blank"><?php _e('فارسی سازی پوسته ها', TS_DOMAIN); ?></a></li>
                    	<li><a href="http://www.wordpress98.com/" target="_blank"><?php _e('همیار وردپرس', TS_DOMAIN); ?></a></li>
			
			<?php if($_REQUEST['updated'] || $_REQUEST['reset']) echo '<div id="ts-message">'.TS_THEME.' '.__('Settings updated', TS_DOMAIN).'</div>'; ?>
		
		</div>
		
		<form id="ts-form" method="post" action="options.php">
		
		    <?php settings_fields( 'ts-options-group' ); ?>
		    <?php $ts_options = get_option('ts_options'); ?>
		    
		    <div id="ts-options-wrap">
		    
		    	<div id="ts-1" class="ts-section ts-toggle">
		    		<div class="ts-section-inner">	
		    		
		    		<div class="ts-submit"><input type="submit" class="button" value="<?php _e('ذخیره تغییرات', TS_DOMAIN); ?>" /></div>
		    	
		    		<h3 class="ts-section-logo"><span><?php _e('تنظیمات اساسی', TS_DOMAIN); ?></span></h3>
		    		
		    		<div class="ts-totoggle clear">
		    		
		    			<div class="ts-option clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4><?php _e('لوگوی سایت', TS_DOMAIN); ?>:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    				
		    					<?php $logo = $ts_options['ts_logo'] ? $ts_options['ts_logo'] : TS_IMG . 'logo.png'; ?>
								<p class="ts-bg-logo-img"><img id="ts-logo-img" src="<?php echo $logo; ?>" /></p>
                
                    			<p><input name="ts_options[ts_logo]" id="ts-logo" class="ts-text ts-upload" type="text" value="<?php if ($ts_options['ts_logo']) { echo $ts_options['ts_logo']; } else { echo $logo; } ?>" /><input id="ts-upload-button" type="button" class="button" value="<?php _e('آپلود تصویر', TS_DOMAIN); ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('لطفا آدرس آپلود تصویر خود را وارد کنید.', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->		    			
		    			
		    			<div class="ts-option ts-option-alt clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4><?php _e('آدرس فید', TS_DOMAIN); ?>:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
                
                    			<p><input name="ts_options[ts_rss]" class="ts-text" type="text" value="<?php echo $ts_options['ts_rss']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('آدرس فید خود را وارد کنید.', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4><?php _e('توئیتر', TS_DOMAIN); ?>:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
                
                    			<p><input name="ts_options[ts_twitter]" class="ts-text" type="text" value="<?php echo $ts_options['ts_twitter']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('نام کاربرای توئیتر خود را وارد کنید', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option ts-option-alt clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4><?php _e('شیوه نامه دلخواه', TS_DOMAIN); ?>:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    		
		    					<p><textarea name="ts_options[ts_css]" class="ts-text ts-textarea" cols="" rows=""><?php echo $ts_options['ts_css']; ?></textarea></p>
		    			
		    					<p class="ts-description"><?php _e('اضافه کردن شیوه نامه دستی', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option ts-option-last clearfix">		    			
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4><?php _e('کد آمارگیر', TS_DOMAIN); ?>:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    		
		    					<p><textarea name="ts_options[ts_tracking]" class="ts-text ts-textarea" cols="" rows=""><?php echo $ts_options['ts_tracking']; ?></textarea></p>
		    			
		    					<p class="ts-description"><?php _e('کد آمارگیر(گوگل آنالیز)خود را در اینجا قرار دهید،این کد به پانویس سایت شما اضافه خواهد شد.', TS_DOMAIN); ?></p>
		    			
		    				</div>		    				
		    			
		    			</div><!-- end ts-option -->
		    		
		    		</div>
		    	
		    		</div><!-- end ts-section-inner -->
		    	</div><!-- end ts-section -->
		    	
		    	<div id="ts-2" class="ts-section ts-toggle">
		    		<div class="ts-section-inner">   		
		    		
		    		<span class="ts-submit"><input type="submit" class="button" value="<?php _e('ذخیره تغییرات', TS_DOMAIN); ?>" /></span>
		    	
		    		<h3 class="ts-section-logo"><span><?php _e('طرح بندی', TS_DOMAIN); ?></span></h3>
		    		
		    		<div class="ts-totoggle">
		    			
		    			<div class="ts-option clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4><?php _e('رنگ بندی', TS_DOMAIN); ?>:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    		
		    					<p>
		    					
		    						<select name="ts_options[ts_color]" class="ts-select">
										<option<?php if($ts_options['ts_color']=='blue') echo ' selected="selected"'; ?> value="blue">آبی</option>
										<option<?php if($ts_options['ts_color']=='red') echo ' selected="selected"'; ?> value="red">قرمز</option>
										<option<?php if($ts_options['ts_color']=='green') echo ' selected="selected"'; ?> value="green">سبز</option>
										<option<?php if($ts_options['ts_color']=='grey') echo ' selected="selected"'; ?> value="grey">قهوه ای</option>
									</select>
									
								</p>
		    			
		    					<p class="ts-description"><?php _e('لطفا رنگ خود را انتخاب کنید.', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_color_switch]" type="checkbox" value="1" <?php checked('1', $ts_options['ts_color_switch']); ?> /> <?php _e('نمایش انتخاب رنگ؟', TS_DOMAIN); ?></p>
		    			
		    					<p class="ts-description"><?php _e('با زدن تیک یک انتخاب کننده رنگ آجاکس به سایت اضافه می شود', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option ts-option-alt ts-option-last clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4><?php _e('پس زمینه', TS_DOMAIN); ?>:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    		
		    					<p>
		    					
		    						<select name="ts_options[ts_bg]" class="ts-select">
		    							<option<?php if($ts_options['ts_bg']=='noise') echo ' selected="selected"'; ?> value="noise">Noise</option>
										<option<?php if($ts_options['ts_bg']=='damask') echo ' selected="selected"'; ?> value="damask">Damask</option>
										<option<?php if($ts_options['ts_bg']=='carbon') echo ' selected="selected"'; ?> value="carbon">Carbon</option>
										<option<?php if($ts_options['ts_bg']=='squares') echo ' selected="selected"'; ?> value="squares">Squares</option>
										<option<?php if($ts_options['ts_bg']=='none') echo ' selected="selected"'; ?> value="none">None</option>
									</select>
									
								</p>
		    			
		    					<p class="ts-description"><?php _e('لطفا الگوی پس زمینه خود را برای سربرگ و پاورقی را انتخاب کنید.', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    		
		    		</div>
		    	
		    		</div><!-- end ts-section-inner -->
		    	</div><!-- end ts-section -->
		    	
		    	<div id="ts-3" class="ts-section ts-toggle">
		    		<div class="ts-section-inner">   		
		    		
		    		<span class="ts-submit"><input type="submit" class="button" value="<?php _e('ذخیره تغییرات', TS_DOMAIN); ?>" /></span>
		    	
		    		<h3 class="ts-section-logo"><span><?php _e('منو', TS_DOMAIN); ?></span></h3>
		    		
		    		<div class="ts-totoggle">
		    			
		    			<div class="ts-option clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4><?php _e('صفحه اصلی', TS_DOMAIN); ?>:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    					
		    					<p><input name="ts_options[ts_ex_home]" type="checkbox" value="1" <?php checked('1', $ts_options['ts_ex_home']); ?> /> <?php _e('برداشتن لینک صفحه اصلی از منوی سایت؟', TS_DOMAIN); ?></p>
		    			
		    					<p class="ts-description"><?php _e('با زدن تیک لینک صفحه اصلی از منو سایت برداشته می شود،لوگو سایت نیز لینک به صفحه اصلی می دهد.', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    		
		    			<div class="ts-option ts-option-alt clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4><?php _e('دسته ها'); ?>:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    				
		    					<p><input name="ts_options[ts_ex_cats]" class="ts-text" type="text" value="<?php echo $ts_options['ts_ex_cats']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('لطفا دسته هایی را که میخواید از منو اصلی برداشته شود وارد کنید(آی دی دسته مورد نظر) (مثال. 2,5,9).', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4><?php _e('برگه ها'); ?>:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    					
		    					<p><input name="ts_options[ts_ex_pages]" class="ts-text" type="text" value="<?php echo $ts_options['ts_ex_pages']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('لطفا دسته هایی را که میخواید از منو اصلی برداشته شود وارد کنید(آی دی دسته مورد نظر)  (مثال 3,65,71).', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option ts-option-alt ts-option-last clearfix">
		    					
		    				<p class="ts-description"><?php _e('فارسی سازی توسط گراوب،مهدی دستمرد عضو همیار وردپرس', TS_DOMAIN); ?></p>
		    			
		    			</div><!-- end ts-option -->
		    		
		    		</div>
		    	
		    		</div><!-- end ts-section-inner -->
		    	</div><!-- end ts-section -->
		    	
		    	<div id="ts-4" class="ts-section ts-toggle">
		    		<div class="ts-section-inner">   		
		    		
		    		<span class="ts-submit"><input type="submit" class="button" value="<?php _e('ذخیره تغییرات', TS_DOMAIN); ?>" /></span>
		    	
		    		<h3 class="ts-section-logo"><span><?php _e('تبلیغات سایدبار', TS_DOMAIN); ?></span></h3>
		    		
		    		<div class="ts-totoggle">
		    			
		    			<div class="ts-option clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4><?php _e('نمایش', TS_DOMAIN); ?>:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    					
		    					<p><input name="ts_options[ts_ads_dsp]" type="checkbox" value="1" <?php checked('1', $ts_options['ts_ads_dsp']); ?> /> <?php _e('مخفی کردن تبلیغات؟', TS_DOMAIN); ?></p>
		    			
		    					<p class="ts-description"><?php _e('با زدن تیک تبلیغات از ساید بار شما برداشته می شود.', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option ts-option-alt clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4>Ad #1:
</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    					
		    					<p><input name="ts_options[ts_sb_ad_1_img]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_1_img']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('لطفا آدرس تصویر با اندازه  (125x125px)وارد کنید.', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_1_url]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_1_url']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('پیوند تصویر مورد نظر را وارد کنید', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_1_rel]" type="checkbox" value="1" <?php checked('1', $ts_options['ts_sb_ad_1_rel']); ?> /> آیا لینک Nofollow شود؟</p>
		    			
		    					<p class="ts-description"><?php _e('بازدن تیک Nofollow از تبلیغ برداشته میشود', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4>Ad #2:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    					
		    					<p><input name="ts_options[ts_sb_ad_2_img]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_2_img']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('لطفا آدرس تصویر با اندازه (125x125px)وارد کنید.', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_2_url]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_2_url']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('پیوند تصویر مورد نظر را وارد کنید', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_2_rel]" type="checkbox" value="1" <?php checked('1', $ts_options['ts_sb_ad_2_rel']); ?> /> آیا لینک Nofollow شود؟</p>
		    			
		    					<p class="ts-description"><?php _e('بازدن تیک Nofollow از تبلیغ برداشته میشود', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option ts-option-alt clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4>Ad #3:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    					
		    					<p><input name="ts_options[ts_sb_ad_3_img]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_3_img']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('لطفا آدرس تصویر با اندازه (125x125px)وارد کنید.', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_3_url]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_3_url']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('پیوند تصویر مورد نظر را وارد کنید', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_3_rel]" type="checkbox" value="1" <?php checked('1', $ts_options['ts_sb_ad_3_rel']); ?> /> آیا لینک Nofollow شود؟</p>
		    			
		    					<p class="ts-description"><?php _e('بازدن تیک Nofollow از تبلیغ برداشته میشود', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4>Ad #4:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    					
		    					<p><input name="ts_options[ts_sb_ad_4_img]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_4_img']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('لطفا آدرس تصویر با اندازه (125x125px)وارد کنید.', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_4_url]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_4_url']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('پیوند تصویر مورد نظر را وارد کنید', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_4_rel]" type="checkbox" value="1" <?php checked('1', $ts_options['ts_sb_ad_4_rel']); ?> /> آیا لینک Nofollow شود؟</p>
		    			
		    					<p class="ts-description"><?php _e('بازدن تیک Nofollow از تبلیغ برداشته میشود', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option ts-option-alt clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4>Ad #5:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    					
		    					<p><input name="ts_options[ts_sb_ad_5_img]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_5_img']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('لطفا آدرس تصویر با اندازه (125x125px)وارد کنید.', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_5_url]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_5_url']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('پیوند تصویر مورد نظر را وارد کنید', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_5_rel]" type="checkbox" value="1" <?php checked('1', $ts_options['ts_sb_ad_5_rel']); ?> /> آیا لینک Nofollow شود؟</p>
		    			
		    					<p class="ts-description"><?php _e('بازدن تیک Nofollow از تبلیغ برداشته میشود', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    			
		    			<div class="ts-option ts-option-last clearfix">
		    			
		    				<div class="ts-option-left">
		    				
		    					<h4>Ad #6:</h4>
		    				
		    				</div>
		    				
		    				<div class="ts-option-right">
		    					
		    					<p><input name="ts_options[ts_sb_ad_6_img]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_6_img']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('لطفا آدرس تصویر با اندازه (125x125px)وارد کنید.', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_6_url]" class="ts-text" type="text" value="<?php echo $ts_options['ts_sb_ad_6_url']; ?>" /></p>
		    			
		    					<p class="ts-description"><?php _e('پیوند تصویر مورد نظر را وارد کنید', TS_DOMAIN); ?></p>
		    					
		    					<p><input name="ts_options[ts_sb_ad_6_rel]" type="checkbox" value="1" <?php checked('1', $ts_options['ts_sb_ad_6_rel']); ?> /> آیا لینک Nofollow شود؟</p>
		    			
		    					<p class="ts-description"><?php _e('بازدن تیک Nofollow از تبلیغ برداشته میشود', TS_DOMAIN); ?></p>
		    			
		    				</div>
		    			
		    			</div><!-- end ts-option -->
		    		
		    		</div>
		    	
		    		</div><!-- end ts-section-inner -->
		    	</div><!-- end ts-section -->
		    
		    </div>
		
		</form>
	
	</div><!-- end ts-wrap -->
	
</div>
<?php } 

require_once( TEMPLATEPATH . '/lib/admin/theme-pages.php');

?>